www.mjjq.net > gEm升级ruBy

gEm升级ruBy

你就直接安装 Aptana RadRails ,然后安装ruby-debug-ide插件就行 Aptana RadRails 对 rails支持很好的。 不然你用ruby-debug也行,用控制台debug还直观很好用 gem install ruby-debug 顺便UE挺好用的,推广下

简单点说:Ruby是一种脚本语言,Gem是基于Ruby的一些开发工具包,Rails也算是一组Gem,专门用来做网站的。不同的Gem可能会依赖不同的Ruby版本,当然,通常来讲,新版本特性更多,速度更多,用起来更爽。

第一步:安装rvm 为什么要安装rvm呢,因为rvm可以让你拥有多个版本的ruby,并且可以在多个版本之间自由切换。安装方式有两种:单用户模式和多用户模式。而 单用户和多用户的区别在于是否有root权限,单用户模式rvm会安装在~/.rvm目录下,而多用...

ruby是一种动态语言,类似 python 由一个日本人开发。 gem是一种文件组织的包,一般的ruby的很多插件都有由这种各种的包提供。

Ruby环境下的gem sources地址默认是国外网络地址,所以在使用gem的过程中经常会出现找不到资源的Error。那么如何解决这种Error?方法很简单:要么就多次尝试执行gem命令,要么就修改gem源地址。 下面由小河给大家分享:如何修改Ruby的gem源地址...

1、执行ruby -v确定版本 2、执行whereis ruby找到ruby安装的位置。可能有多个位置。将每一个path的ruby都执行一下-v。比如 /usr/bin/ruby -v。看下哪个是你安装的1.9.3版本。假如就是/usr/bin/ruby 3、编辑/etc/profile,在最末尾添加一行:expo...

升级ruby的小版本。 首先将当前的rvm升级到最新版本。 复制代码代码如下: $ rvm get stable 然后查看当前使用的ruby版本和服务端可用的ruby版本。 复制代码代码如下: $ rvm list $ rvm list known 虽然不打算升级ruby主版本,但是小版本是可以尝...

如果是gem本身 gem update --system "需要的版本"应该能解决。

gem -v 查看RubyGems的版本 gem update --system 升级RubyGems的版本 gem install gem_name 安装某个插件 gem install -v x.x.x gem_name 安装指定版本的插件 gem list 列出安装的套件 gem update gem_name 更新某个插件 gem update 更新所有的...

由于国内网络原因(你懂的),导致 rubygems.org 存放在 Amazon S3 上面的资源文件间歇性连接失败。所以你会与遇到 gem install rack 或 bundle install的时候半天没有响应,具体可以用 gem install rails -V 来查看执行过程。 这是一个完整 rub...

网站地图

All rights reserved Powered by www.mjjq.net

copyright ©right 2010-2021。
www.mjjq.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com